using System;
using UnityEngine;

namespace UVC.Twin.MonitoringUI
{
    [Serializable]
    public class BarChartItemData
    {
        [SerializeField] public string Label;
        [SerializeField] public float PrimaryValue;
        [SerializeField] public float SecondaryValue;
        [SerializeField] public float MaxValue;

        public BarChartItemData() { }

        public BarChartItemData(string label, float primaryValue, float secondaryValue, float maxValue)
        {
            Label = label;
            PrimaryValue = primaryValue;
            SecondaryValue = secondaryValue;
            MaxValue = maxValue;
        }
    }
}
